Skip to main content
POST
Pause Sandbox Endpoint

Rate Limit

60 requests per 60 seconds per token per sandbox, and 30,000 per 60 seconds per IP.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sandbox_id
string
required

Response

Successful Response

id
string
required
name
string
required
dockerImage
string
required
startCommand
required

A process to start without invoking a shell.

cpuCores
number
required
memoryGB
number
required
diskSizeGB
number
required
diskMountPath
string
required
gpuCount
integer
required
status
enum<string>
required
Available options:
PENDING,
PROVISIONING,
RUNNING,
PAUSED,
ERROR,
TERMINATED,
TIMEOUT
timeoutMinutes
integer
required
environmentVars
Environmentvars · object | null
required
advancedConfigs
Advancedconfigs · object | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
startedAt
string<date-time> | null
required
terminatedAt
string<date-time> | null
required
userId
string | null
required
teamId
string | null
required
kubernetesJobId
string | null
required
checkpointId
string
required

The checkpoint the pause froze, with the sandbox's memory. POST /sandbox/{id}/resume continues this sandbox; creating a sandbox with this checkpoint_id and restore_memory=true forks it. Deleting the sandbox before this checkpoint is stored (DURABLE) discards it.

gpuType
enum<string> | null
Available options:
CPU_NODE,
A10_24GB,
A100_80GB,
A100_40GB,
A30_24GB,
A40_48GB,
B200_180GB,
B300_262GB,
GB200,
GB300,
RTX3070_8GB,
RTX3070_8GB,
RTX3080_10GB,
RTX3080Ti_12GB,
RTX3090_24GB,
RTX3090Ti_24GB,
RTX4070Ti_12GB,
RTX4080_16GB,
RTX4080Ti_16GB,
RTX4090_24GB,
RTX5090_32GB,
H100_80GB,
H200_96GB,
GH200_96GB,
H200_141GB,
GH200_480GB,
GH200_624GB,
L4_24GB,
L40_48GB,
L40S_48GB,
RTX4000_8GB,
RTX5000_16GB,
RTX6000_24GB,
RTX8000_48GB,
RTX2000Ada_16GB,
RTX4000Ada_20GB,
RTX5000Ada_32GB,
RTX6000Ada_48GB,
A2000_6GB,
A4000_16GB,
A4500_20GB,
A5000_24GB,
A6000_48GB,
V100_16GB,
V100_32GB,
P100_16GB,
T4_16GB,
P4_8GB,
P40_24GB,
RTX_PRO_6000B_96GB,
MI355X_288GB
vm
boolean
default:false
network_allowlist
string[] | null
network_denylist
string[] | null
idleTimeoutMinutes
integer | null
terminationReason
string | null
labels
string[]
exitCode
integer | null
errorType
string | null
errorMessage
string | null
registryCredentialsId
string | null
pendingImageBuildId
string | null

Set while the sandbox is PENDING because its VM image artifact is being built automatically (first VM use of this image). The sandbox starts on its own once the build completes.

gatewayAuth
SandboxAuthResponse · object | null

Gateway credentials, returned on create when the API token has sandbox:read. Same payload as POST /sandbox/{id}/auth.